Subject: bug#14448: Wrong indentation in comment lines for F90 mode?

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Feb 2022 00:44:37 +0100

Angelo Graziosi <[email-masked]> writes:

> Start Emacs with:
>
> $ emacs -Q &
>
> Then visit a new file:
>
> C-x C-f foo.f90
>
> Type '!' (it is at line 1, column 0 in Emacs).
>
> Then continue to comment: C-M-j. The new '!' is at line 2, column 2
> and not at line 2, column 0, i.e. below the previous '!', as one
> expects (at least me!). In other word the second '!' is indended.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce this in more recent Emacs versions, so I'm
guessing it's been fixed in the decade since this was reported, and I'm
therefore closing this bug report.  If this bug is still present, please
respond to the debbugs address and we'll reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no